// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_mobile/multi_deal_mobile.proto

package order_mobile

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//----------------
// Done MultiDeal
//----------------
type DoneMultiDealRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id     int64             `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Rating *order.UserRating `protobuf:"bytes,2,opt,name=rating,proto3" json:"rating,omitempty"`
}

func (x *DoneMultiDealRequest) Reset() {
	*x = DoneMultiDealRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_deal_mobile_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoneMultiDealRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoneMultiDealRequest) ProtoMessage() {}

func (x *DoneMultiDealRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_deal_mobile_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoneMultiDealRequest.ProtoReflect.Descriptor instead.
func (*DoneMultiDealRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_deal_mobile_proto_rawDescGZIP(), []int{0}
}

func (x *DoneMultiDealRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *DoneMultiDealRequest) GetRating() *order.UserRating {
	if x != nil {
		return x.Rating
	}
	return nil
}

type DoneMultiDealResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DoneMultiDealResponse) Reset() {
	*x = DoneMultiDealResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_deal_mobile_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoneMultiDealResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoneMultiDealResponse) ProtoMessage() {}

func (x *DoneMultiDealResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_deal_mobile_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoneMultiDealResponse.ProtoReflect.Descriptor instead.
func (*DoneMultiDealResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_deal_mobile_proto_rawDescGZIP(), []int{1}
}

var File_v1_order_mobile_multi_deal_mobile_proto protoreflect.FileDescriptor

var file_v1_order_mobile_multi_deal_mobile_proto_rawDesc = []byte{
	0x0a, 0x27, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x6d, 0x6f, 0x62,
	0x69, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f,
	0x62, 0x69, 0x6c, 0x65, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65,
	0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x76, 0x31, 0x2f, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x5f,
	0x64, 0x65, 0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x76, 0x31, 0x2f, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x5f,
	0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x5e, 0x0a, 0x14,
	0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x36, 0x0a, 0x06, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61,
	0x74, 0x69, 0x6e, 0x67, 0x52, 0x06, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x22, 0x17, 0x0a, 0x15,
	0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xfd, 0x08, 0x0a, 0x10, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44,
	0x65, 0x61, 0x6c, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x71, 0x0a, 0x18, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63, 0x65,
	0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a,
	0x0c, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x27, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d,
	0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x64, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61,
	0x6c, 0x12, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69,
	0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x76, 0x0a, 0x13, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x12, 0x2e, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x43,
	0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x43,
	0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x79,
	0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x43,
	0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x10, 0x47, 0x65, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2b, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46,
	0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x70, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2c, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69,
	0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x10, 0x41, 0x64,
	0x64, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2b,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x41, 0x64, 0x64, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x76, 0x0a, 0x13, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65,
	0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4d, 0x75, 0x6c, 0x74,
	0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4d, 0x75, 0x6c, 0x74,
	0x69, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x72, 0x0a, 0x0d, 0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65,
	0x61, 0x6c, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x44,
	0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e,
	0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x59, 0x0a, 0x1c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d,
	0x6f, 0x62, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61,
	0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31,
	0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0xba, 0x02, 0x00,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_mobile_multi_deal_mobile_proto_rawDescOnce sync.Once
	file_v1_order_mobile_multi_deal_mobile_proto_rawDescData = file_v1_order_mobile_multi_deal_mobile_proto_rawDesc
)

func file_v1_order_mobile_multi_deal_mobile_proto_rawDescGZIP() []byte {
	file_v1_order_mobile_multi_deal_mobile_proto_rawDescOnce.Do(func() {
		file_v1_order_mobile_multi_deal_mobile_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_mobile_multi_deal_mobile_proto_rawDescData)
	})
	return file_v1_order_mobile_multi_deal_mobile_proto_rawDescData
}

var file_v1_order_mobile_multi_deal_mobile_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_v1_order_mobile_multi_deal_mobile_proto_goTypes = []interface{}{
	(*DoneMultiDealRequest)(nil),                  // 0: fcp.order.v1.order_mobile.DoneMultiDealRequest
	(*DoneMultiDealResponse)(nil),                 // 1: fcp.order.v1.order_mobile.DoneMultiDealResponse
	(*order.UserRating)(nil),                      // 2: fcp.order.v1.order.UserRating
	(*order.ListMultiDealProcessTypeRequest)(nil), // 3: fcp.order.v1.order.ListMultiDealProcessTypeRequest
	(*order.GetMultiDealRequest)(nil),             // 4: fcp.order.v1.order.GetMultiDealRequest
	(*order.ListMultiDealRequest)(nil),            // 5: fcp.order.v1.order.ListMultiDealRequest
	(*order.GetMultiDealContactRequest)(nil),      // 6: fcp.order.v1.order.GetMultiDealContactRequest
	(*order.ListMultiDealContactRequest)(nil),     // 7: fcp.order.v1.order.ListMultiDealContactRequest
	(*order.GetMultiDealFileRequest)(nil),         // 8: fcp.order.v1.order.GetMultiDealFileRequest
	(*order.ListMultiDealFileRequest)(nil),        // 9: fcp.order.v1.order.ListMultiDealFileRequest
	(*order.AddMultiDealFileRequest)(nil),         // 10: fcp.order.v1.order.AddMultiDealFileRequest
	(*order.DeleteMultiDealFileRequest)(nil),      // 11: fcp.order.v1.order.DeleteMultiDealFileRequest
	(*order.DictResponse)(nil),                    // 12: fcp.order.v1.order.DictResponse
	(*order.GetMultiDealResponse)(nil),            // 13: fcp.order.v1.order.GetMultiDealResponse
	(*order.ListMultiDealResponse)(nil),           // 14: fcp.order.v1.order.ListMultiDealResponse
	(*order.GetMultiDealContactResponse)(nil),     // 15: fcp.order.v1.order.GetMultiDealContactResponse
	(*order.ListMultiDealContactResponse)(nil),    // 16: fcp.order.v1.order.ListMultiDealContactResponse
	(*order.GetMultiDealFileResponse)(nil),        // 17: fcp.order.v1.order.GetMultiDealFileResponse
	(*order.ListMultiDealFileResponse)(nil),       // 18: fcp.order.v1.order.ListMultiDealFileResponse
	(*order.AddMultiDealFileResponse)(nil),        // 19: fcp.order.v1.order.AddMultiDealFileResponse
	(*order.DeleteMultiDealFileResponse)(nil),     // 20: fcp.order.v1.order.DeleteMultiDealFileResponse
}
var file_v1_order_mobile_multi_deal_mobile_proto_depIdxs = []int32{
	2,  // 0: fcp.order.v1.order_mobile.DoneMultiDealRequest.rating:type_name -> fcp.order.v1.order.UserRating
	3,  // 1: fcp.order.v1.order_mobile.MultiDealService.ListMultiDealProcessType:input_type -> fcp.order.v1.order.ListMultiDealProcessTypeRequest
	4,  // 2: fcp.order.v1.order_mobile.MultiDealService.GetMultiDeal:input_type -> fcp.order.v1.order.GetMultiDealRequest
	5,  // 3: fcp.order.v1.order_mobile.MultiDealService.ListMultiDeal:input_type -> fcp.order.v1.order.ListMultiDealRequest
	6,  // 4: fcp.order.v1.order_mobile.MultiDealService.GetMultiDealContact:input_type -> fcp.order.v1.order.GetMultiDealContactRequest
	7,  // 5: fcp.order.v1.order_mobile.MultiDealService.ListMultiDealContact:input_type -> fcp.order.v1.order.ListMultiDealContactRequest
	8,  // 6: fcp.order.v1.order_mobile.MultiDealService.GetMultiDealFile:input_type -> fcp.order.v1.order.GetMultiDealFileRequest
	9,  // 7: fcp.order.v1.order_mobile.MultiDealService.ListMultiDealFile:input_type -> fcp.order.v1.order.ListMultiDealFileRequest
	10, // 8: fcp.order.v1.order_mobile.MultiDealService.AddMultiDealFile:input_type -> fcp.order.v1.order.AddMultiDealFileRequest
	11, // 9: fcp.order.v1.order_mobile.MultiDealService.DeleteMultiDealFile:input_type -> fcp.order.v1.order.DeleteMultiDealFileRequest
	0,  // 10: fcp.order.v1.order_mobile.MultiDealService.DoneMultiDeal:input_type -> fcp.order.v1.order_mobile.DoneMultiDealRequest
	12, // 11: fcp.order.v1.order_mobile.MultiDealService.ListMultiDealProcessType:output_type -> fcp.order.v1.order.DictResponse
	13, // 12: fcp.order.v1.order_mobile.MultiDealService.GetMultiDeal:output_type -> fcp.order.v1.order.GetMultiDealResponse
	14, // 13: fcp.order.v1.order_mobile.MultiDealService.ListMultiDeal:output_type -> fcp.order.v1.order.ListMultiDealResponse
	15, // 14: fcp.order.v1.order_mobile.MultiDealService.GetMultiDealContact:output_type -> fcp.order.v1.order.GetMultiDealContactResponse
	16, // 15: fcp.order.v1.order_mobile.MultiDealService.ListMultiDealContact:output_type -> fcp.order.v1.order.ListMultiDealContactResponse
	17, // 16: fcp.order.v1.order_mobile.MultiDealService.GetMultiDealFile:output_type -> fcp.order.v1.order.GetMultiDealFileResponse
	18, // 17: fcp.order.v1.order_mobile.MultiDealService.ListMultiDealFile:output_type -> fcp.order.v1.order.ListMultiDealFileResponse
	19, // 18: fcp.order.v1.order_mobile.MultiDealService.AddMultiDealFile:output_type -> fcp.order.v1.order.AddMultiDealFileResponse
	20, // 19: fcp.order.v1.order_mobile.MultiDealService.DeleteMultiDealFile:output_type -> fcp.order.v1.order.DeleteMultiDealFileResponse
	1,  // 20: fcp.order.v1.order_mobile.MultiDealService.DoneMultiDeal:output_type -> fcp.order.v1.order_mobile.DoneMultiDealResponse
	11, // [11:21] is the sub-list for method output_type
	1,  // [1:11] is the sub-list for method input_type
	1,  // [1:1] is the sub-list for extension type_name
	1,  // [1:1] is the sub-list for extension extendee
	0,  // [0:1] is the sub-list for field type_name
}

func init() { file_v1_order_mobile_multi_deal_mobile_proto_init() }
func file_v1_order_mobile_multi_deal_mobile_proto_init() {
	if File_v1_order_mobile_multi_deal_mobile_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_mobile_multi_deal_mobile_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoneMultiDealRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_multi_deal_mobile_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoneMultiDealResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_mobile_multi_deal_mobile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_mobile_multi_deal_mobile_proto_goTypes,
		DependencyIndexes: file_v1_order_mobile_multi_deal_mobile_proto_depIdxs,
		MessageInfos:      file_v1_order_mobile_multi_deal_mobile_proto_msgTypes,
	}.Build()
	File_v1_order_mobile_multi_deal_mobile_proto = out.File
	file_v1_order_mobile_multi_deal_mobile_proto_rawDesc = nil
	file_v1_order_mobile_multi_deal_mobile_proto_goTypes = nil
	file_v1_order_mobile_multi_deal_mobile_proto_depIdxs = nil
}
